Name:		    mbuffer
Version:	    20150412
Release:	    2%{?dist}
Summary:	    Measuring Buffer is an enhanced version of buffer

License:	    GPLv3+
URL:		    http://www.maier-komor.de/mbuffer.html
Source0:	    http://www.maier-komor.de/software/mbuffer/mbuffer-%{version}.tgz

BuildRequires:	mt-st
BuildRequires:  mhash-devel
BuildRequires:  autoconf
BuildRequires:  automake

%description
Measuring Buffer is an enhanced version of buffer. It features displayof
throughput, memory-mapped file I/O for huge buffers, and multithreading.

%prep
%setup -q

%build
#autoconf
# suppress detection of MD5_Init functions if openssl-devel
# is available on build system, let only mhash_init be
# detected if the md5 hash feature is enabled
export ac_cv_search_MD5_Init=no
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%files
%doc AUTHORS ChangeLog LICENSE NEWS README
%{_mandir}/man1/mbuffer.1*
%{_bindir}/%{name}

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20150412-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 19 2015 Fabian Affolter <mail@fabian-affolter.ch> - 20150412-1
- Update to new upstream version 20150412

* Fri Jan 23 2015 Fabian Affolter <mail@fabian-affolter.ch> - 20141227-1
- Update to new upstream version 20141227

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140310-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140310-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 24 2014 Fabian Affolter <mail@fabian-affolter.ch> - 20140310-1
- Update to new upstream version 20140310

* Thu Mar 06 2014 Fabian Affolter <mail@fabian-affolter.ch> - 20140126-1
- Update to new upstream version 20140126

* Mon Aug 05 2013 Fabian Affolter <mail@fabian-affolter.ch> - 20130220-4
- Fix FTBFS (#992214)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20130220-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 29 2013 Fabian Affolter <mail@fabian-affolter.ch> - 20130220-2
- ARM64 support

* Fri Mar 01 2013 Fabian Affolter <mail@fabian-affolter.ch> - 20130220-1
- Update to new upstream version 20130220

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20121111-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 07 2013 Fabian Affolter <mail@fabian-affolter.ch> - 20121111-1
- Update to new upstream version 20121111

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110724-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110724-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 20110724-1
- Update to new upstream version 20110724

* Fri Aug 12 2011 Fabian Affolter <mail@fabian-affolter.ch> - 20110317-2
- Rebuild (libmhash)

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 20110317-1
- Update to new upstream release 20110317

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100526-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 02 2010 Fabian Affolter <mail@fabian-affolter.ch> - 20100526-3
- Remove ever piece of md5

* Mon Nov 01 2010 Fabian Affolter <mail@fabian-affolter.ch> - 20100526-2
- Rebuild with md5hash as requested in #608943

* Mon Jun 14 2010 Fabian Affolter <mail@fabian-affolter.ch> - 20100526-1
- Update to new upstream version 20100526

* Sat Feb 27 2010 Fabian Affolter <mail@fabian-affolter.ch> - 20091227-1
- Update to new upstream version 20091227

* Wed Dec 23 2009 Fabian Affolter <mail@fabian-affolter.ch> - 20091122-1
- Update to new upstream version 20091122

* Fri Nov 20 2009 Fabian Affolter <mail@fabian-affolter.ch> - 20091110-1
- Update to new upstream version 20091110

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090628-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Fabian Affolter <mail@fabian-affolter.ch> - 20090628-1
- Fix license (since 20080910 GPLv3+)
- Remov --enable-networking, is no longer needed
- Add make install to install section
- Add NEWS to doc and changed COPYING to LICENSE
- Add macro for bin dir
- Update to new upstream version 20090628

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080507-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jun 06 2008 Dennis Gilmore <dennis@ausil.us> - 20080507-2
- Fix license tag 

* Fri Jun 06 2008 Dennis Gilmore <dennis@ausil.us> - 20080507-1
- Update to 20080507

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 20070502-2
- Autorebuild for GCC 4.3

* Sat May 12 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 20070502-1
- Update to latest version.

* Sat Apr 14 2007 Alexander Dalloz <alex {%} dalloz {*} de> - 20070401-1
- Update to latest version.

* Tue Aug 29 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 20060728-3
- Rebuild for FC6.

* Thu Aug 10 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 20060728-2
- Remove NEWS from %%doc because free of information.

* Wed Aug 09 2006 Alexander Dalloz <alex {%} dalloz {*} de> - 20060728-1
- Update to latest version
- Adjuste project URL and Source0.

* Thu Aug 04 2005 Alexander Dalloz <alex {%} dalloz {*} de> - 20050730-3
- Switche over to mhash for md5hash option instead of
  openssl use (thanks Paul Howarth)
- md5hash disabled by default to not link against library in
  /usr/lib, mbuffer usable without /usr mounted.

* Wed Aug 03 2005 Alexander Dalloz <alex {%} dalloz {*} de> - 20050730-2
- Correct Source0 URL
- Adjust binary location in man page
- Add BR mt-st and conditional openssl-devel.

* Tue Aug 02 2005 Alexander Dalloz <alex {%} dalloz {*} de> - 20050730-1
- Initial build.
